com.rs.xbrl.instructions.formula

## Class ConceptParserResult

- java.lang.Object
- - com.rs.xbrl.instructions.formula.VariableDefinitionImpl
  - - com.rs.xbrl.instructions.formula.ConceptParserResult

- All Implemented Interfaces:
    VariableDefinition

      public class ConceptParserResult
      extends VariableDefinitionImpl

  The Class ConceptParserResult.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptParserResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLResource` | `createVariable(javax.xml.namespace.QName variableName, XBRLResource resource, GenerationContext gc, net.sf.saxon.value.BooleanValue bindAsSequence, FallbackValuesTable fbTable)` Creates the variable.
    `java.util.ArrayList<AspectOrFilter>` | `getAspects()` Gets the aspects.
    `javax.xml.namespace.QName` | `getConcept()` Gets the concept.
    `javax.xml.namespace.QName` | `getVarName()` Gets the var name.
    `java.lang.String` | `getXPathFilter()` If the concept reference contains XPath filter, this methods returns the XPath filter part.
    `static ConceptParserResult` | `parseConcept(java.lang.String conceptReference, GenerationContext gc, ExcelSheetPoint conceptPrefixPoint, ExcelSheetPoint numbersPoint)` Parses the concept.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConceptParserResult

          public ConceptParserResult()

  - ### Method Detail

    - #### parseConcept

          public static ConceptParserResult parseConcept(java.lang.String conceptReference,
                                         GenerationContext gc,
                                         ExcelSheetPoint conceptPrefixPoint,
                                         ExcelSheetPoint numbersPoint)

      Parses the concept.
      Parameters:
        `conceptReference` - the concept reference
        `gc` - the gc
        `conceptPrefixPoint` - the concept prefix point
        `numbersPoint` - the numbers point
      Returns:
        the concept parser result

    - #### getXPathFilter

          public java.lang.String getXPathFilter()

      If the concept reference contains XPath filter, this methods returns the XPath filter part.
      Returns:
        String

    - #### getConcept

          public javax.xml.namespace.QName getConcept()

      Gets the concept.
      Returns:
        the concept

    - #### getVarName

          public javax.xml.namespace.QName getVarName()

      Description copied from interface: `VariableDefinition`
      Gets the var name.
      Returns:
        the var name

    - #### getAspects

          public java.util.ArrayList<AspectOrFilter> getAspects()

      Description copied from interface: `VariableDefinition`
      Gets the aspects.
      Returns:
        the aspects

    - #### createVariable

          public XBRLResource createVariable(javax.xml.namespace.QName variableName,
                                    XBRLResource resource,
                                    GenerationContext gc,
                                    net.sf.saxon.value.BooleanValue bindAsSequence,
                                    FallbackValuesTable fbTable)

      Creates the variable.
      Specified by:
        `createVariable` in interface `VariableDefinition`
      Overrides:
        `createVariable` in class `VariableDefinitionImpl`
      Parameters:
        `variableName` - the variable name
        `resource` - the resource
        `gc` - the gc
        `bindAsSequence` - the bind as sequence
        `fbTable` - the fb table
      Returns:
        the XBRL resource